#!/bin/sh

set -x # Print commands
set -e # Exit on error
set -u # Exit on undefined variable

# Perform the backup
/usr/bin/restic backup -q --host $RESTIC_HOSTNAME /backupdir

# Prune old backups
/usr/bin/restic forget -q --keep-hourly 24 --keep-daily 10 --keep-weekly 6 --keep-monthly 6 --prune
